%define upstream_name    IO-Compress
%define upstream_version 2.021

Name:       perl-%{upstream_name}
Version:     %{upstream_version}
Release:    %mkrel 12
Summary:    IO Interface to compressed data files/buffers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl-devel
BuildRequires: perl-Compress-Raw-Bzip2 
BuildRequires: perl(Compress::Raw::Zlib)
Obsoletes:	perl-Compress-Zlib
Obsoletes:	perl-IO-Compress-Base
Obsoletes:	perl-IO-Compress-Bzip2
Obsoletes:	perl-IO-Compress-Zlib
Provides:	perl-Compress-Zlib  = %{version}-%{release}
Provides:	perl-IO-Compress-Base = %{version}-%{release}
Provides:	perl-IO-Compress-Bzip2 = %{version}-%{release}
Provides:	perl-IO-Compress-Zlib = %{version}-%{release}
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the zlib and bzip2 libraries.

IO-Compress supports reading and writing of bzip2, RFC 1950, RFC
1951, RFC 1952 (i.e. gzip) and zip files/buffers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%exclude %{_mandir}/man3/*
%{perl_vendorarch}/IO
%{perl_vendorarch}/Compress
%{perl_vendorarch}/File
%{perl_vendorarch}/auto/IO
%{perl_vendorarch}/auto/Compress


%changelog
* Wed Sep 16 2009 Texstar <texstar at gmail.com> 
- fix package

* Wed Sep 16 2009 Texstar <texstar at gmail.com> 
- fix package

* Sun Sep 12 2009 pcserver <pcserver at hushmail.com>
-update


